Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.gpuflux.scene.volume
Class FluxFrustumBase

    java.lang.Object
      de.grogra.gpuflux.scene.FluxObject
          de.grogra.gpuflux.scene.volume.FluxVolume
              de.grogra.gpuflux.scene.volume.FluxPrimitive
                  de.grogra.gpuflux.scene.volume.FluxFrustumBase

Direct Known Subclasses:
  FluxCylinder, FluxFrustum

    public abstract class FluxFrustumBase

extends FluxPrimitive

Field Summary
`protected static int` | `BASE_OPEN`
`protected static int` | `FRUSTUM_CYLINDER`
`protected static int` | `TOP_OPEN`
`protected static int` | `UV_ROTATED`

Fields inherited from class de.grogra.gpuflux.scene.volume.FluxPrimitive
`owner, PRIM_BOX, PRIM_FRUSTUM, PRIM_PARALLEL, PRIM_PLANE, PRIM_SPHERE, PRIM_TRANSFORMABLE, PRIM_TRIANGLE`

Fields inherited from class de.grogra.gpuflux.scene.volume.FluxVolume
`bbox`

Constructor Summary
`FluxFrustumBase()`

Method Summary

Methods inherited from class de.grogra.gpuflux.scene.volume.FluxPrimitive
`getExtent, getGroupIndex, serialize, serialize, setFluxShader, setGroupIndex, setIOR, setOwner`

Methods inherited from class de.grogra.gpuflux.scene.volume.FluxVolume
`computeExtent, getBoundingBox, serialize`

Methods inherited from class de.grogra.gpuflux.scene.FluxObject
`getOffset, setOffset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BASE_OPEN

    protected static final int BASE_OPEN

See Also:
  Constant Field Values

### FRUSTUM_CYLINDER

    protected static final int FRUSTUM_CYLINDER

See Also:
  Constant Field Values

### TOP_OPEN

    protected static final int TOP_OPEN

See Also:
  Constant Field Values

### UV_ROTATED

    protected static final int UV_ROTATED

See Also:
  Constant Field Values

Constructor Detail

### FluxFrustumBase

    public FluxFrustumBase()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD